%define upstream_name    Time-Period
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Time::Period module for perl
License:    GPL
Group:      Development/Perl
Url:        http://search.perl.com/dist/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

Provides:   perl-Period
Obsoletes:  perl-Period <= 1.200.0

%description
Period.pm is a Perl module that contains code to deal with time periods.
Currently, there is only a function in this module.  That function is
called inPeriod().

inPeriod() determines if a given time is within a given time period.
It will return 1 if it is, 0 if not, and -1 if either the time or the
period passed to it were malformed.  The time is specified in non-leap
year seconds past January 1, 1970, as per the time() function.  The period
is a string which is of the form described in Period's man page.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE META.yml README
%{perl_vendorlib}/Time/*
%{_mandir}/*/*

%changelog
* Mon Feb 28 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 61442
- update to 1.23

* Sat Feb 26 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 60424
- pkg rename + update to 1.22
- renamed upstream

* Thu Jan 20 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 26840
- mageia rebuild
- imported package perl-Period

